LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
ContainerEvent Struct Referencepublished

This event is fired when an element is inserted in a container. More...

`import"ContainerEvent.idl";`

Inheritance diagram for ContainerEvent:

## Public Attributes
any | Accessor
| It contains the accessor to the element which is inserted or removed. More...
any | Element
| This contains the element that was inserted or removed. More...
any | ReplacedElement
| This contains the replaced element. More...
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event. More...

## Detailed Description

This event is fired when an element is inserted in a container.

See also
  XContainerListener

## Member Data Documentation

## ◆ Accessor

any Accessor

It contains the accessor to the element which is inserted or removed.

The type and the value of the accessor depends on the service.

## ◆ Element

any Element

This contains the element that was inserted or removed.

## ◆ ReplacedElement

any ReplacedElement

This contains the replaced element.

The documentation for this struct was generated from the following file:

- com/sun/star/container/ContainerEvent.idl